diff --git a/android/guava/src/com/google/common/collect/Maps.java b/android/guava/src/com/google/common/collect/Maps.java
index b415f25..e6d1c1f 100644
--- a/android/guava/src/com/google/common/collect/Maps.java
+++ b/android/guava/src/com/google/common/collect/Maps.java
@@ -2491,7 +2475,7 @@ public final class Maps {
    *
    * @since 11.0
    */
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  public static <K extends Object, V extends Object>
       SortedMap<K, V> filterValues(
           SortedMap<K, V> unfiltered, final Predicate<? super V> valuePredicate) {
     return filterEntries(unfiltered, Maps.<V>valuePredicateOnEntries(valuePredicate));
@@ -2523,8 +2507,8 @@ public final class Maps {
    *
    * @since 14.0
    */
-  @GwtIncompatible // NavigableMap
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  // NavigableMap
+  public static <K extends Object, V extends Object>
       NavigableMap<K, V> filterValues(
           NavigableMap<K, V> unfiltered, final Predicate<? super V> valuePredicate) {
     return filterEntries(unfiltered, Maps.<V>valuePredicateOnEntries(valuePredicate));
@@ -2557,7 +2541,7 @@ public final class Maps {
    *
    * @since 14.0
    */
-  public static <K extends @Nullable Object, V extends @Nullable Object> BiMap<K, V> filterValues(
+  public static <K extends Object, V extends Object> BiMap<K, V> filterValues(
       BiMap<K, V> unfiltered, final Predicate<? super V> valuePredicate) {
     return filterEntries(unfiltered, Maps.<V>valuePredicateOnEntries(valuePredicate));
   }
@@ -2586,7 +2570,7 @@ public final class Maps {
    * <p><b>Warning:</b> {@code entryPredicate} must be <i>consistent with equals</i>, as documented
    * at {@link Predicate#apply}.
    */
-  public static <K extends @Nullable Object, V extends @Nullable Object> Map<K, V> filterEntries(
+  public static <K extends Object, V extends Object> Map<K, V> filterEntries(
       Map<K, V> unfiltered, Predicate<? super Entry<K, V>> entryPredicate) {
     checkNotNull(entryPredicate);
     return (unfiltered instanceof AbstractFilteredMap)
@@ -2620,7 +2604,7 @@ public final class Maps {
    *
    * @since 11.0
    */
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  public static <K extends Object, V extends Object>
       SortedMap<K, V> filterEntries(
           SortedMap<K, V> unfiltered, Predicate<? super Entry<K, V>> entryPredicate) {
     checkNotNull(entryPredicate);
@@ -2655,8 +2639,8 @@ public final class Maps {
    *
    * @since 14.0
    */
-  @GwtIncompatible // NavigableMap
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  // NavigableMap
+  public static <K extends Object, V extends Object>
       NavigableMap<K, V> filterEntries(
           NavigableMap<K, V> unfiltered, Predicate<? super Entry<K, V>> entryPredicate) {
     checkNotNull(entryPredicate);
@@ -2692,7 +2676,7 @@ public final class Maps {
    *
    * @since 14.0
    */
-  public static <K extends @Nullable Object, V extends @Nullable Object> BiMap<K, V> filterEntries(
+  public static <K extends Object, V extends Object> BiMap<K, V> filterEntries(
       BiMap<K, V> unfiltered, Predicate<? super Entry<K, V>> entryPredicate) {
     checkNotNull(unfiltered);
     checkNotNull(entryPredicate);
@@ -2705,7 +2689,7 @@ public final class Maps {
    * Support {@code clear()}, {@code removeAll()}, and {@code retainAll()} when filtering a filtered
    * map.
    */
-  private static <K extends @Nullable Object, V extends @Nullable Object> Map<K, V> filterFiltered(
+  private static <K extends Object, V extends Object> Map<K, V> filterFiltered(
       AbstractFilteredMap<K, V> map, Predicate<? super Entry<K, V>> entryPredicate) {
     return new FilteredEntryMap<>(
         map.unfiltered, Predicates.<Entry<K, V>>and(map.predicate, entryPredicate));
@@ -2715,7 +2699,7 @@ public final class Maps {
    * Support {@code clear()}, {@code removeAll()}, and {@code retainAll()} when filtering a filtered
    * sorted map.
    */
-  private static <K extends @Nullable Object, V extends @Nullable Object>
+  private static <K extends Object, V extends Object>
       SortedMap<K, V> filterFiltered(
           FilteredEntrySortedMap<K, V> map, Predicate<? super Entry<K, V>> entryPredicate) {
     Predicate<Entry<K, V>> predicate = Predicates.<Entry<K, V>>and(map.predicate, entryPredicate);
@@ -2726,8 +2710,8 @@ public final class Maps {
    * Support {@code clear()}, {@code removeAll()}, and {@code retainAll()} when filtering a filtered
    * navigable map.
    */
-  @GwtIncompatible // NavigableMap
-  private static <K extends @Nullable Object, V extends @Nullable Object>
+  // NavigableMap
+  private static <K extends Object, V extends Object>
       NavigableMap<K, V> filterFiltered(
           FilteredEntryNavigableMap<K, V> map, Predicate<? super Entry<K, V>> entryPredicate) {
     Predicate<Entry<K, V>> predicate =
@@ -2739,7 +2723,7 @@ public final class Maps {
    * Support {@code clear()}, {@code removeAll()}, and {@code retainAll()} when filtering a filtered
    * map.
    */
-  private static <K extends @Nullable Object, V extends @Nullable Object>
+  private static <K extends Object, V extends Object>
       BiMap<K, V> filterFiltered(
           FilteredEntryBiMap<K, V> map, Predicate<? super Entry<K, V>> entryPredicate) {
     Predicate<Entry<K, V>> predicate = Predicates.<Entry<K, V>>and(map.predicate, entryPredicate);
@@ -2747,7 +2731,7 @@ public final class Maps {
   }
 
   private abstract static class AbstractFilteredMap<
-          K extends @Nullable Object, V extends @Nullable Object>
+          K extends Object, V extends Object>
       extends ViewCachingAbstractMap<K, V> {
     final Map<K, V> unfiltered;
     final Predicate<? super Entry<K, V>> predicate;
@@ -2810,7 +2794,7 @@ public final class Maps {
   }
 
   private static final class FilteredMapValues<
-          K extends @Nullable Object, V extends @Nullable Object>
+          K extends Object, V extends Object>
       extends Maps.Values<K, V> {
     final Map<K, V> unfiltered;
     final Predicate<? super Entry<K, V>> predicate;
@@ -2864,19 +2848,19 @@ public final class Maps {
     }
 
     @Override
-    public @Nullable Object[] toArray() {
+    public Object[] toArray() {
       // creating an ArrayList so filtering happens once
       return Lists.newArrayList(iterator()).toArray();
     }
 
     @Override
     @SuppressWarnings("nullness") // b/192354773 in our checker affects toArray declarations
-    public <T extends @Nullable Object> T[] toArray(T[] array) {
+    public <T extends Object> T[] toArray(T[] array) {
       return Lists.newArrayList(iterator()).toArray(array);
     }
   }
 
-  private static class FilteredKeyMap<K extends @Nullable Object, V extends @Nullable Object>
+  private static class FilteredKeyMap<K extends Object, V extends Object>
       extends AbstractFilteredMap<K, V> {
     final Predicate<? super K> keyPredicate;
 
@@ -2907,7 +2891,7 @@ public final class Maps {
     }
   }
 
-  static class FilteredEntryMap<K extends @Nullable Object, V extends @Nullable Object>
+  static class FilteredEntryMap<K extends Object, V extends Object>
       extends AbstractFilteredMap<K, V> {
     /**
      * Entries in this set satisfy the predicate, but they don't validate the input to {@code
@@ -2925,7 +2909,6 @@ public final class Maps {
       return new EntrySet();
     }
 
-    @WeakOuter
     private class EntrySet extends ForwardingSet<Entry<K, V>> {
       @Override
       protected Set<Entry<K, V>> delegate() {
@@ -2960,7 +2943,7 @@ public final class Maps {
       return new KeySet();
     }
 
-    static <K extends @Nullable Object, V extends @Nullable Object> boolean removeAllKeys(
+    static <K extends Object, V extends Object> boolean removeAllKeys(
         Map<K, V> map, Predicate<? super Entry<K, V>> entryPredicate, Collection<?> keyCollection) {
       Iterator<Entry<K, V>> entryItr = map.entrySet().iterator();
       boolean result = false;
@@ -2974,7 +2957,7 @@ public final class Maps {
       return result;
     }
 
-    static <K extends @Nullable Object, V extends @Nullable Object> boolean retainAllKeys(
+    static <K extends Object, V extends Object> boolean retainAllKeys(
         Map<K, V> map, Predicate<? super Entry<K, V>> entryPredicate, Collection<?> keyCollection) {
       Iterator<Entry<K, V>> entryItr = map.entrySet().iterator();
       boolean result = false;
@@ -2988,7 +2971,6 @@ public final class Maps {
       return result;
     }
 
-    @WeakOuter
     class KeySet extends Maps.KeySet<K, V> {
       KeySet() {
         super(FilteredEntryMap.this);
@@ -3014,21 +2996,21 @@ public final class Maps {
       }
 
       @Override
-      public @Nullable Object[] toArray() {
+      public Object[] toArray() {
         // creating an ArrayList so filtering happens once
         return Lists.newArrayList(iterator()).toArray();
       }
 
       @Override
       @SuppressWarnings("nullness") // b/192354773 in our checker affects toArray declarations
-      public <T extends @Nullable Object> T[] toArray(T[] array) {
+      public <T extends Object> T[] toArray(T[] array) {
         return Lists.newArrayList(iterator()).toArray(array);
       }
     }
   }
 
   private static class FilteredEntrySortedMap<
-          K extends @Nullable Object, V extends @Nullable Object>
+          K extends Object, V extends Object>
       extends FilteredEntryMap<K, V> implements SortedMap<K, V> {
 
     FilteredEntrySortedMap(
@@ -3050,7 +3032,6 @@ public final class Maps {
       return new SortedKeySet();
     }
 
-    @WeakOuter
     class SortedKeySet extends KeySet implements SortedSet<K> {
       @Override
       @CheckForNull
@@ -3131,9 +3112,9 @@ public final class Maps {
     }
   }
 
-  @GwtIncompatible // NavigableMap
+  // NavigableMap
   private static class FilteredEntryNavigableMap<
-          K extends @Nullable Object, V extends @Nullable Object>
+          K extends Object, V extends Object>
       extends AbstractNavigableMap<K, V> {
     /*
      * It's less code to extend AbstractNavigableMap and forward the filtering logic to
@@ -3274,11 +3255,11 @@ public final class Maps {
     }
   }
 
-  static final class FilteredEntryBiMap<K extends @Nullable Object, V extends @Nullable Object>
+  static final class FilteredEntryBiMap<K extends Object, V extends Object>
       extends FilteredEntryMap<K, V> implements BiMap<K, V> {
-    @RetainedWith private final BiMap<V, K> inverse;
+    private final BiMap<V, K> inverse;
 
-    private static <K extends @Nullable Object, V extends @Nullable Object>
+    private static <K extends Object, V extends Object>
         Predicate<Entry<V, K>> inversePredicate(
             final Predicate<? super Entry<K, V>> forwardPredicate) {
       return new Predicate<Entry<V, K>>() {
@@ -3341,8 +3322,8 @@ public final class Maps {
    * @return an unmodifiable view of the specified navigable map
    * @since 12.0
    */
-  @GwtIncompatible // NavigableMap
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  // NavigableMap
+  public static <K extends Object, V extends Object>
       NavigableMap<K, V> unmodifiableNavigableMap(NavigableMap<K, ? extends V> map) {
     checkNotNull(map);
     if (map instanceof UnmodifiableNavigableMap) {
@@ -3355,13 +3336,13 @@ public final class Maps {
   }
 
   @CheckForNull
-  private static <K extends @Nullable Object, V extends @Nullable Object>
+  private static <K extends Object, V extends Object>
       Entry<K, V> unmodifiableOrNull(@CheckForNull Entry<K, ? extends V> entry) {
     return (entry == null) ? null : Maps.unmodifiableEntry(entry);
   }
 
-  @GwtIncompatible // NavigableMap
-  static class UnmodifiableNavigableMap<K extends @Nullable Object, V extends @Nullable Object>
+  // NavigableMap
+  static class UnmodifiableNavigableMap<K extends Object, V extends Object>
       extends ForwardingSortedMap<K, V> implements NavigableMap<K, V>, Serializable {
     private final NavigableMap<K, ? extends V> delegate;
 
@@ -3562,8 +3543,8 @@ public final class Maps {
    * @return a synchronized view of the specified navigable map.
    * @since 13.0
    */
-  @GwtIncompatible // NavigableMap
-  public static <K extends @Nullable Object, V extends @Nullable Object>
+  // NavigableMap
+  public static <K extends Object, V extends Object>
       NavigableMap<K, V> synchronizedNavigableMap(NavigableMap<K, V> navigableMap) {
     return Synchronized.navigableMap(navigableMap);
   }
@@ -3572,9 +3553,8 @@ public final class Maps {
    * {@code AbstractMap} extension that makes it easy to cache customized keySet, values, and
    * entrySet views.
    */
-  @GwtCompatible
   abstract static class ViewCachingAbstractMap<
-          K extends @Nullable Object, V extends @Nullable Object>
+          K extends Object, V extends Object>
       extends AbstractMap<K, V> {
     /**
      * Creates the entry set to be returned by {@link #entrySet()}. This method is invoked at most
@@ -3616,7 +3596,7 @@ public final class Maps {
   }
 
   abstract static class IteratorBasedAbstractMap<
-          K extends @Nullable Object, V extends @Nullable Object>
+          K extends Object, V extends Object>
       extends AbstractMap<K, V> {
     @Override
     public abstract int size();
@@ -3649,7 +3629,7 @@ public final class Maps {
    * NullPointerException}.
    */
   @CheckForNull
-  static <V extends @Nullable Object> V safeGet(Map<?, V> map, @CheckForNull Object key) {
+  static <V extends Object> V safeGet(Map<?, V> map, @CheckForNull Object key) {
     checkNotNull(map);
     try {
       return map.get(key);
@@ -3676,7 +3656,7 @@ public final class Maps {
    * NullPointerException}.
    */
   @CheckForNull
-  static <V extends @Nullable Object> V safeRemove(Map<?, V> map, @CheckForNull Object key) {
+  static <V extends Object> V safeRemove(Map<?, V> map, @CheckForNull Object key) {
     checkNotNull(map);
     try {
       return map.remove(key);
@@ -3707,7 +3687,7 @@ public final class Maps {
    * @param o the object that might be contained in {@code c}
    * @return {@code true} if {@code c} contains {@code o}
    */
-  static <K extends @Nullable Object, V extends @Nullable Object> boolean containsEntryImpl(
+  static <K extends Object, V extends Object> boolean containsEntryImpl(
       Collection<Entry<K, V>> c, @CheckForNull Object o) {
     if (!(o instanceof Entry)) {
       return false;
@@ -3726,7 +3706,7 @@ public final class Maps {
    * @param o the object to remove from {@code c}
    * @return {@code true} if {@code c} was changed
    */
-  static <K extends @Nullable Object, V extends @Nullable Object> boolean removeEntryImpl(
+  static <K extends Object, V extends Object> boolean removeEntryImpl(
       Collection<Entry<K, V>> c, @CheckForNull Object o) {
     if (!(o instanceof Entry)) {
       return false;
@@ -3760,16 +3740,16 @@ public final class Maps {
   }
 
   /** An implementation of {@link Map#putAll}. */
-  static <K extends @Nullable Object, V extends @Nullable Object> void putAllImpl(
+  static <K extends Object, V extends Object> void putAllImpl(
       Map<K, V> self, Map<? extends K, ? extends V> map) {
     for (Entry<? extends K, ? extends V> entry : map.entrySet()) {
       self.put(entry.getKey(), entry.getValue());
     }
   }
 
-  static class KeySet<K extends @Nullable Object, V extends @Nullable Object>
+  static class KeySet<K extends Object, V extends Object>
       extends Sets.ImprovedAbstractSet<K> {
-    @Weak final Map<K, V> map;
+    final Map<K, V> map;
 
     KeySet(Map<K, V> map) {
       this.map = checkNotNull(map);
@@ -3815,16 +3795,16 @@ public final class Maps {
   }
 
   @CheckForNull
-  static <K extends @Nullable Object> K keyOrNull(@CheckForNull Entry<K, ?> entry) {
+  static <K extends Object> K keyOrNull(@CheckForNull Entry<K, ?> entry) {
     return (entry == null) ? null : entry.getKey();
   }
 
   @CheckForNull
-  static <V extends @Nullable Object> V valueOrNull(@CheckForNull Entry<?, V> entry) {
+  static <V extends Object> V valueOrNull(@CheckForNull Entry<?, V> entry) {
     return (entry == null) ? null : entry.getValue();
   }
 
-  static class SortedKeySet<K extends @Nullable Object, V extends @Nullable Object>
+  static class SortedKeySet<K extends Object, V extends Object>
       extends KeySet<K, V> implements SortedSet<K> {
     SortedKeySet(SortedMap<K, V> map) {
       super(map);
@@ -3869,8 +3849,8 @@ public final class Maps {
     }
   }
 
-  @GwtIncompatible // NavigableMap
-  static class NavigableKeySet<K extends @Nullable Object, V extends @Nullable Object>
+  // NavigableMap
+  static class NavigableKeySet<K extends Object, V extends Object>
       extends SortedKeySet<K, V> implements NavigableSet<K> {
     NavigableKeySet(NavigableMap<K, V> map) {
       super(map);
@@ -3962,9 +3942,9 @@ public final class Maps {
     }
   }
 
-  static class Values<K extends @Nullable Object, V extends @Nullable Object>
+  static class Values<K extends Object, V extends Object>
       extends AbstractCollection<V> {
-    @Weak final Map<K, V> map;
+    final Map<K, V> map;
 
     Values(Map<K, V> map) {
       this.map = checkNotNull(map);
@@ -4045,7 +4025,7 @@ public final class Maps {
     }
   }
 
-  abstract static class EntrySet<K extends @Nullable Object, V extends @Nullable Object>
+  abstract static class EntrySet<K extends Object, V extends Object>
       extends Sets.ImprovedAbstractSet<Entry<K, V>> {
     abstract Map<K, V> map();
 
@@ -4104,7 +4084,7 @@ public final class Maps {
         return super.retainAll(checkNotNull(c));
       } catch (UnsupportedOperationException e) {
         // if the iterators don't support remove
-        Set<@Nullable Object> keys = Sets.newHashSetWithExpectedSize(c.size());
+        Set<Object> keys = Sets.newHashSetWithExpectedSize(c.size());
         for (Object o : c) {
           /*
            * `o instanceof Entry` is guaranteed by `contains`, but we check it here to satisfy our
@@ -4120,8 +4100,8 @@ public final class Maps {
     }
   }
 
-  @GwtIncompatible // NavigableMap
-  abstract static class DescendingMap<K extends @Nullable Object, V extends @Nullable Object>
+  // NavigableMap
+  abstract static class DescendingMap<K extends Object, V extends Object>
       extends ForwardingMap<K, V> implements NavigableMap<K, V> {
 
     abstract NavigableMap<K, V> forward();
@@ -4148,7 +4128,7 @@ public final class Maps {
     }
 
     // If we inline this, we get a javac error.
-    private static <T extends @Nullable Object> Ordering<T> reverse(Comparator<T> forward) {
+    private static <T extends Object> Ordering<T> reverse(Comparator<T> forward) {
       return Ordering.from(forward).reverse();
     }
 
@@ -4252,7 +4232,6 @@ public final class Maps {
     abstract Iterator<Entry<K, V>> entryIterator();
 
     Set<Entry<K, V>> createEntrySet() {
-      @WeakOuter
       class EntrySetImpl extends EntrySet<K, V> {
         @Override
         Map<K, V> map() {
@@ -4356,9 +4335,8 @@ public final class Maps {
    *
    * @since 20.0
    */
-  @Beta
-  @GwtIncompatible // NavigableMap
-  public static <K extends Comparable<? super K>, V extends @Nullable Object>
+  // NavigableMap
+  public static <K extends Comparable<? super K>, V extends Object>
       NavigableMap<K, V> subMap(NavigableMap<K, V> map, Range<K> range) {
     if (map.comparator() != null
         && map.comparator() != Ordering.natural()
diff --git a/android/guava/src/com/google/common/collect/MinMaxPriorityQueue.java b/android/guava/src/com/google/common/collect/MinMaxPriorityQueue.java
index cd01279..cbea6f5 100644
--- a/android/guava/src/com/google/common/collect/MinMaxPriorityQueue.java
+++ b/android/guava/src/com/google/common/collect/MinMaxPriorityQueue.java
@@ -21,15 +21,8 @@ import static com.google.common.base.Preconditions.checkNotNull;
 import static com.google.common.base.Preconditions.checkPositionIndex;
 import static com.google.common.base.Preconditions.checkState;
 import static com.google.common.collect.CollectPreconditions.checkRemove;
-import static java.util.Objects.requireNonNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.VisibleForTesting;
 import com.google.common.math.IntMath;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.j2objc.annotations.Weak;
-import com.google.j2objc.annotations.WeakOuter;
 import java.util.AbstractQueue;
 import java.util.ArrayDeque;
 import java.util.ArrayList;
@@ -43,7 +36,6 @@ import java.util.NoSuchElementException;
 import java.util.PriorityQueue;
 import java.util.Queue;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A double-ended priority queue, which provides constant-time access to both its least element and
@@ -98,8 +90,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Torbjorn Gannholm
  * @since 8.0
  */
-@Beta
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
 
@@ -162,7 +152,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
    *     Queue<Integer>} but not a {@code Queue<Object>}).
    * @since 8.0
    */
-  @Beta
   public static final class Builder<B> {
     /*
      * TODO(kevinb): when the dust settles, see if we still need this or can
@@ -182,7 +171,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
      * Configures this builder to build min-max priority queues with an initial expected size of
      * {@code expectedSize}.
      */
-    @CanIgnoreReturnValue
     public Builder<B> expectedSize(int expectedSize) {
       checkArgument(expectedSize >= 0);
       this.expectedSize = expectedSize;
@@ -195,7 +183,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
      * removes its greatest element (according to its comparator), which might be the element that
      * was just added.
      */
-    @CanIgnoreReturnValue
     public Builder<B> maximumSize(int maximumSize) {
       checkArgument(maximumSize > 0);
       this.maximumSize = maximumSize;
@@ -232,8 +219,8 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
 
   private final Heap minHeap;
   private final Heap maxHeap;
-  @VisibleForTesting final int maximumSize;
-  private @Nullable Object[] queue;
+  final int maximumSize;
+  private Object[] queue;
   private int size;
   private int modCount;
 
@@ -261,14 +248,12 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
    *
    * @return {@code true} always
    */
-  @CanIgnoreReturnValue
   @Override
   public boolean add(E element) {
     offer(element);
     return true;
   }
 
-  @CanIgnoreReturnValue
   @Override
   public boolean addAll(Collection<? extends E> newElements) {
     boolean modified = false;
@@ -284,7 +269,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
    * element} the queue will automatically evict its greatest element (according to its comparator),
    * which may be {@code element} itself.
    */
-  @CanIgnoreReturnValue
   @Override
   public boolean offer(E element) {
     checkNotNull(element);
@@ -299,7 +283,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
     return size <= maximumSize || pollLast() != element;
   }
 
-  @CanIgnoreReturnValue
   @Override
   @CheckForNull
   public E poll() {
@@ -339,7 +322,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
    * Removes and returns the least element of this queue, or returns {@code null} if the queue is
    * empty.
    */
-  @CanIgnoreReturnValue
   @CheckForNull
   public E pollFirst() {
     return poll();
@@ -350,7 +332,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
    *
    * @throws NoSuchElementException if the queue is empty
    */
-  @CanIgnoreReturnValue
   public E removeFirst() {
     return remove();
   }
@@ -368,7 +349,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
    * Removes and returns the greatest element of this queue, or returns {@code null} if the queue is
    * empty.
    */
-  @CanIgnoreReturnValue
   @CheckForNull
   public E pollLast() {
     return isEmpty() ? null : removeAndGet(getMaxElementIndex());
@@ -379,7 +359,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
    *
    * @throws NoSuchElementException if the queue is empty
    */
-  @CanIgnoreReturnValue
   public E removeLast() {
     if (isEmpty()) {
       throw new NoSuchElementException();
@@ -409,8 +388,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
    * down to replace the element at {@code index}. This fact is used by iterator.remove so as to
    * visit elements during a traversal once and only once.
    */
-  @VisibleForTesting
-  @CanIgnoreReturnValue
   @CheckForNull
   MoveDesc<E> removeAt(int index) {
     checkPositionIndex(index, size);
@@ -495,7 +472,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
   private static final int EVEN_POWERS_OF_TWO = 0x55555555;
   private static final int ODD_POWERS_OF_TWO = 0xaaaaaaaa;
 
-  @VisibleForTesting
   static boolean isEvenLevel(int index) {
     int oneBased = ~~(index + 1); // for GWT
     checkState(oneBased > 0, "negative index");
@@ -507,7 +483,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
    *
    * <p>TODO(kevinb): move to the test class?
    */
-  @VisibleForTesting
   boolean isIntact() {
     for (int i = 1; i < size; i++) {
       if (!heapForIndex(i).verifyIndex(i)) {
@@ -522,10 +497,9 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
    * max-heap. Conceptually, these might each have their own array for storage, but for efficiency's
    * sake they are stored interleaved on alternate heap levels in the same array (MMPQ.queue).
    */
-  @WeakOuter
   private class Heap {
     final Ordering<E> ordering;
-    @Weak Heap otherHeap; // always initialized immediately after construction
+    Heap otherHeap; // always initialized immediately after construction
 
     Heap(Ordering<E> ordering) {
       this.ordering = ordering;
@@ -584,7 +558,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
      * Bubbles a value from {@code index} up the levels of this heap, and returns the index the
      * element ended up at.
      */
-    @CanIgnoreReturnValue
     int bubbleUpAlternatingLevels(int index, E x) {
       while (index > 2) {
         int grandParentIndex = getGrandparentIndex(index);
@@ -926,7 +899,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
     return minHeap.ordering;
   }
 
-  @VisibleForTesting
   int capacity() {
     return queue.length;
   }
@@ -935,7 +907,6 @@ public final class MinMaxPriorityQueue<E> extends AbstractQueue<E> {
 
   private static final int DEFAULT_CAPACITY = 11;
 
-  @VisibleForTesting
   static int initialQueueSize(
       int configuredExpectedSize, int maximumSize, Iterable<?> initialContents) {
     // Start with what they said, if they said it, otherwise DEFAULT_CAPACITY
diff --git a/android/guava/src/com/google/common/collect/Multimap.java b/android/guava/src/com/google/common/collect/Multimap.java
index 09aa287..1d6a374 100644
--- a/android/guava/src/com/google/common/collect/Multimap.java
+++ b/android/guava/src/com/google/common/collect/Multimap.java
@@ -16,17 +16,12 @@
 
 package com.google.common.collect;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
-import com.google.errorprone.annotations.CompatibleWith;
-import com.google.errorprone.annotations.DoNotMock;
 import java.util.Collection;
 import java.util.List;
 import java.util.Map;
 import java.util.Map.Entry;
 import java.util.Set;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * A collection that maps keys to values, similar to {@link Map}, but in which each key may be
@@ -157,10 +152,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Jared Levy
  * @since 2.0
  */
-@DoNotMock("Use ImmutableMultimap, HashMultimap, or another implementation")
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public interface Multimap<K extends @Nullable Object, V extends @Nullable Object> {
+public interface Multimap<K extends Object, V extends Object> {
   // Query Operations
 
   /**
@@ -210,7 +203,6 @@ public interface Multimap<K extends @Nullable Object, V extends @Nullable Object
    * @return {@code true} if the method increased the size of the multimap, or {@code false} if the
    *     multimap already contained the key-value pair and doesn't allow duplicates
    */
-  @CanIgnoreReturnValue
   boolean put(@ParametricNullness K key, @ParametricNullness V value);
 
   /**
@@ -220,7 +212,6 @@ public interface Multimap<K extends @Nullable Object, V extends @Nullable Object
    *
    * @return {@code true} if the multimap changed
    */
-  @CanIgnoreReturnValue
   boolean remove(
       @CompatibleWith("K") @CheckForNull Object key,
       @CompatibleWith("V") @CheckForNull Object value);
@@ -241,7 +232,6 @@ public interface Multimap<K extends @Nullable Object, V extends @Nullable Object
    *
    * @return {@code true} if the multimap changed
    */
-  @CanIgnoreReturnValue
   boolean putAll(@ParametricNullness K key, Iterable<? extends V> values);
 
   /**
@@ -250,7 +240,6 @@ public interface Multimap<K extends @Nullable Object, V extends @Nullable Object
    *
    * @return {@code true} if the multimap changed
    */
-  @CanIgnoreReturnValue
   boolean putAll(Multimap<? extends K, ? extends V> multimap);
 
   /**
@@ -262,7 +251,6 @@ public interface Multimap<K extends @Nullable Object, V extends @Nullable Object
    *     associated with the key. The collection <i>may</i> be modifiable, but updating it will have
    *     no effect on the multimap.
    */
-  @CanIgnoreReturnValue
   Collection<V> replaceValues(@ParametricNullness K key, Iterable<? extends V> values);
 
   /**
@@ -274,7 +262,6 @@ public interface Multimap<K extends @Nullable Object, V extends @Nullable Object
    * @return the values that were removed (possibly empty). The returned collection <i>may</i> be
    *     modifiable, but updating it will have no effect on the multimap.
    */
-  @CanIgnoreReturnValue
   Collection<V> removeAll(@CompatibleWith("K") @CheckForNull Object key);
 
   /** Removes all key-value pairs from the multimap, leaving it {@linkplain #isEmpty empty}. */
